Subject: Re: bug#20943: 25.0.50; Dired buffers are not always auto-reverterd

From: Mark Karpov <[email-masked]>
Date: Fri, 03 Jul 2015 19:02:19 +0600

Now I understand! What seemed to be random behavior is not that
random. Obviously, ‘buffer-modified-p’ returns t if user previously
modified directory, for example, if he deleted some files (I deleted
some files before invocations of my script). Thus, ‘auto-revert-handle’
thinks that buffer is modified that it doesn't revert it. Now, this is
good behavior for normal file buffers, but is it good enough for Dired
buffers too? If I edited a Dired buffer, want it to stay in sync
anyway. What do you think?